import { Injectable, ɵɵdefineInjectable, Component, Input, ɵɵinject, NgModule } from '@angular/core';
import { Router, ActivatedRoute, RouterModule } from '@angular/router';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { map } from 'rxjs/operators';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var AsapPollService = /** @class */ (function () {
    function AsapPollService() {
    }
    AsapPollService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    AsapPollService.ctorParameters = function () { return []; };
    /** @nocollapse */ AsapPollService.ngInjectableDef = ɵɵdefineInjectable({ factory: function AsapPollService_Factory() { return new AsapPollService(); }, token: AsapPollService, providedIn: "root" });
    return AsapPollService;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var AsapPollComponent = /** @class */ (function () {
    function AsapPollComponent(router, route) {
        this.router = router;
        this.route = route;
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    AsapPollComponent.prototype.ngOnChanges = /**
     * @param {?} changes
     * @return {?}
     */
    function (changes) {
        if (changes.settings && this.settings) {
            this.processComments(this.settings.data);
        }
    };
    /**
     * @param {?} data
     * @return {?}
     */
    AsapPollComponent.prototype.processComments = /**
     * @param {?} data
     * @return {?}
     */
    function (data) {
        console.log(data);
        this.data = data;
    };
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //body: option_id
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //body: option_id
    /**
     * @param {?} id
     * @return {?}
     */
    AsapPollComponent.prototype.openPoll = 
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //body: option_id
    /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        this.router.navigateByUrl("polls/item/" + id);
    };
    AsapPollComponent.decorators = [
        { type: Component, args: [{
                    selector: 'asap-components-poll',
                    template: "<div class=\"component-container\" [ngStyle]=\"{\r\n       'background': settings.design.background,\r\n       'marginTop.px': settings.marginTop,\r\n       'marginBottom.px': settings.marginBottom,\r\n       'paddingTop.px': settings.paddingTop,\r\n       'paddingBottom.px': settings.paddingBottom,\r\n       'paddingRight.px': settings.paddingX,\r\n       'paddingLeft.px': settings.paddingX\r\n     }\">\r\n\r\n    <!-- <asap-home-components-custom-header [settings]=\"settings\"></asap-home-components-custom-header> -->\r\n    <div class=\"container py-4\">\r\n        <div class=\"row\">\r\n            <div class=\"col-sm-10 mx-auto\">\r\n                <h3 class=\"mb-4\">Enquetes</h3>\r\n                <div class=\"swiper-polls\">\r\n                    <div class=\"row\">\r\n                        <div class=\"col-3\" *ngFor=\"let item of data;\">\r\n                            <p>{{item.title}}</p>\r\n                            <a routerLink=\"item\" class=\"btn btn-sm btn-primary d-block w-100\" (click)=\"openPoll(item.id)\">Participar</a>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>"
                }] }
    ];
    /** @nocollapse */
    AsapPollComponent.ctorParameters = function () { return [
        { type: Router },
        { type: ActivatedRoute }
    ]; };
    AsapPollComponent.propDecorators = {
        settings: [{ type: Input }]
    };
    return AsapPollComponent;
}());
if (false) {
    /** @type {?} */
    AsapPollComponent.prototype.settings;
    /** @type {?} */
    AsapPollComponent.prototype.data;
    /** @type {?} */
    AsapPollComponent.prototype.router;
    /** @type {?} */
    AsapPollComponent.prototype.route;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/services/data.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var DataService = /** @class */ (function () {
    function DataService(http) {
        this.http = http;
    }
    Object.defineProperty(DataService.prototype, "baseUrl", {
        get: /**
         * @return {?}
         */
        function () {
            return localStorage.getItem('apiURL');
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    DataService.prototype.companies = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var client = localStorage.getItem('client');
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/admin/asap-client/vinculo/' + client;
        return this.http.get(url, this.header);
    };
    /**
     * @param {?} body
     * @return {?}
     */
    DataService.prototype.geralWeb = /**
     * @param {?} body
     * @return {?}
     */
    function (body) {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/geral/mobile/web';
        return this.http.post(url, body, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.newsSection = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/news-section';
        return this.http.get(url, this.header);
    };
    /**
     * @param {?} section
     * @return {?}
     */
    DataService.prototype.news = /**
     * @param {?} section
     * @return {?}
     */
    function (section) {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/news-section/' + section + '/news';
        return this.http.get(url, this.header);
    };
    /**
     * @param {?} type
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.featured = /**
     * @param {?} type
     * @param {?} id
     * @return {?}
     */
    function (type, id) {
        if (type === 'course-session' || type === 'course-section') {
            type = 'curso';
        }
        if (type === 'event-session' || type === 'event-section') {
            type = 'evento';
        }
        if (type === 'video-session') {
            type = 'video';
        }
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/itens/custom?type=' + type + '&id=' + id + '&client_id=' + this.client;
        return this.http.get(url, this.header);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.channel = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        /** @type {?} */
        var url = this.baseUrl + "/api/v2/admin/channel/" + id + "?client_id=" + this.client;
        console.log(url);
        return this.http.get(url, this.header)
            .pipe(map((/**
         * @param {?} response
         * @return {?}
         */
        function (response) { return response.data; })));
    };
    /**
     * @param {?} userId
     * @return {?}
     */
    DataService.prototype.event = /**
     * @param {?} userId
     * @return {?}
     */
    function (userId) {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/event/unit/' + userId + '?type=presential' + '&client_id=' + this.client;
        return this.http.get(url, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.web = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/trilha/geral/web?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.progress = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/trilha', this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.lives = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/event/live/gallery?client_id=' + this.client, this.header);
    };
    /**
     * @param {?} type
     * @param {?} role
     * @return {?}
     */
    DataService.prototype.custom = /**
     * @param {?} type
     * @param {?} role
     * @return {?}
     */
    function (type, role) {
        /** @type {?} */
        var url = this.baseUrl + '/api/v2/client/trilha/geral/custom?type=' + type + '&role=' + role + '&client_id=' + this.client;
        return this.http.get(url, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.acervo = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/admin/acervo/pasta/abre/permission', this.header);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.color = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.http.get(this.baseUrl + '/api/v2/admin/color/' + id, this.header);
    };
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.pollsQuestions = 
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.http.get(this.baseUrl + '/api/v2/client/polls/item/view/' + id, this.header);
    };
    /**
     * @param {?} id
     * @param {?} data
     * @return {?}
     */
    DataService.prototype.updatePolls = /**
     * @param {?} id
     * @param {?} data
     * @return {?}
     */
    function (id, data) {
        return this.http.post(this.baseUrl + '/api/v2/client/polls/item/view/' + id, data, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.notices = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/edital/influenciadores', this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.journey = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v21/admin/jornada', this.header);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.journeyItens = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.http.get(this.baseUrl + '/api/v21/admin/jornada/item/client/' + id, this.header);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    DataService.prototype.trailSessao = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.http.get(this.baseUrl + '/api/v21/admin/trail/session?type=' + id, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.cursosSessao = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/session/geral/web?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.videoSessao = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v21/admin/videos/session?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.eventoSessao = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v21/admin/eventos/session?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.benefits = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/beneficio/geral/web', this.header);
    };
    /**
     * @param {?} clientID
     * @return {?}
     */
    DataService.prototype.credits = /**
     * @param {?} clientID
     * @return {?}
     */
    function (clientID) {
        return this.http.get(this.baseUrl + '/api/v2/client/creditos/' + clientID, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.studio = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/course?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.menu = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/admin/permission/' + this.userId, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.menuLateral = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/admin/menu/view', this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.expositor = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/expositor?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.jobs = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/opportunity/user?client_id=' + this.client, this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.data = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + '/api/v2/client/home/info', this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.mentoriaSection = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + "/api/v2/client/mentoria-section", this.header);
    };
    /**
     * @return {?}
     */
    DataService.prototype.users = /**
     * @return {?}
     */
    function () {
        return this.http.get(this.baseUrl + "/api/v2/client/network/users", this.header);
    };
    /**
     * @param {?} section
     * @return {?}
     */
    DataService.prototype.forums = /**
     * @param {?} section
     * @return {?}
     */
    function (section) {
        /** @type {?} */
        var query = 'all&search=' + btoa("(theme_id IN (SELECT id FROM forum_theme WHERE (session_id=" + section + ")))");
        return this.http.get(this.baseUrl + "/api/v2/client/forum-chat?" + query, this.header);
    };
    Object.defineProperty(DataService.prototype, "client", {
        get: /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var storage = localStorage.getItem('loggedUser');
            if (!storage) {
                return '';
            }
            /** @type {?} */
            var loggedUser = JSON.parse(storage);
            return loggedUser.data.client_id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DataService.prototype, "userId", {
        get: /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var storage = localStorage.getItem('loggedUser');
            if (!storage) {
                return '';
            }
            /** @type {?} */
            var loggedUser = JSON.parse(storage);
            return loggedUser.data.id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DataService.prototype, "header", {
        get: /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var token = localStorage.getItem('token');
            /** @type {?} */
            var headerOptions = {
                Accept: 'application/json'
            };
            if (token) {
                headerOptions['Authorization'] = token;
            }
            return { headers: new HttpHeaders(headerOptions) };
        },
        enumerable: true,
        configurable: true
    });
    DataService.decorators = [
        { type: Injectable, args: [{ providedIn: 'root' },] }
    ];
    /** @nocollapse */
    DataService.ctorParameters = function () { return [
        { type: HttpClient }
    ]; };
    /** @nocollapse */ DataService.ngInjectableDef = ɵɵdefineInjectable({ factory: function DataService_Factory() { return new DataService(ɵɵinject(HttpClient)); }, token: DataService, providedIn: "root" });
    return DataService;
}());
if (false) {
    /** @type {?} */
    DataService.prototype.http;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/question/poll-questions.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var PollQuestionsComponent = /** @class */ (function () {
    function PollQuestionsComponent(route, dataService) {
        this.route = route;
        this.dataService = dataService;
    }
    /**
     * @return {?}
     */
    PollQuestionsComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.route.params.subscribe((/**
         * @param {?} params
         * @return {?}
         */
        function (params) {
            _this.id = params.id;
            _this.getPollsQuestions(params.id);
            _this.itemType = 'view';
        }));
    };
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //    https://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/72
    //body: option_id
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //    https://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/72
    //body: option_id
    /**
     * @param {?} id
     * @return {?}
     */
    PollQuestionsComponent.prototype.getPollsQuestions = 
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //    https://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/72
    //body: option_id
    /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        var _this = this;
        this.dataService.pollsQuestions(id).subscribe((/**
         * @param {?} response
         * @return {?}
         */
        function (response) {
            _this.data = response;
        }));
    };
    /**
     * @param {?} answer
     * @return {?}
     */
    PollQuestionsComponent.prototype.updatePollsQuestions = /**
     * @param {?} answer
     * @return {?}
     */
    function (answer) {
        var _this = this;
        // this.data.options[this.data.options.indexOf(answer)].selected = !answer.selected;
        /** @type {?} */
        var body = {
            option_id: answer.id,
            selected: answer.selected
        };
        this.dataService.updatePolls(this.id, body).subscribe((/**
         * @param {?} response
         * @return {?}
         */
        function (response) {
            _this.data = response;
        }));
    };
    PollQuestionsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'poll-questions.component',
                    template: "<div class=\"container py-4\">\r\n    <div class=\"row\">\r\n        <div class=\"col-sm-8 mx-auto\">\r\n            <div>\r\n                <div class=\"mt-4\">\r\n                    <nav aria-label=\"breadcrumb\">\r\n                        <ol class=\"breadcrumb px-0\">\r\n                            <li class=\"breadcrumb-item\"><a routerLink=\"/polls/item/{{id}}\">Enquetes</a></li>\r\n                            <li class=\"breadcrumb-item\"><a (click)=\"itemType='view'\">Conex\u00F5es</a></li>\r\n                            <li *ngIf=\"itemType === 'report'\" class=\"breadcrumb-item active\" aria-current=\"page\">Resultado</li>\r\n                        </ol>\r\n                    </nav>\r\n                </div>\r\n                <div class=\"polls-section\">\r\n\r\n                    <h5 class=\"polls-section-title\">{{data?.title}}</h5>\r\n\r\n                    <ng-container *ngIf=\"itemType === 'view'\">\r\n\r\n                        <ng-container>\r\n                            <div class=\"polls-multichoice\">\r\n                                <li (click)=\"itemType='report'\">1</li>\r\n                                <li (click)=\"itemType='report'\" class=\"selected\">2</li>\r\n                                <li (click)=\"itemType='report'\">3</li>\r\n                                <li (click)=\"itemType='report'\">4</li>\r\n                                <li (click)=\"itemType='report'\">5</li>\r\n                                <li (click)=\"itemType='report'\">6</li>\r\n                                <li (click)=\"itemType='report'\">7</li>\r\n                                <li (click)=\"itemType='report'\">8</li>\r\n                                <li (click)=\"itemType='report'\">9</li>\r\n                                <li (click)=\"itemType='report'\">10</li>\r\n                            </div>\r\n                            <div class=\"mt-1\">\r\n                                <small>\r\n                                    <i class=\"bi bi-bar-chart\"></i>\r\n                                    {{data?.total_votes}}\r\n                                </small>\r\n                            </div>\r\n                        </ng-container>\r\n\r\n                        <ng-container>\r\n                            <ul class=\"polls-multichoice-vertical\">\r\n                                <li *ngFor=\"let item of data?.options\" [ngClass]=\"{'selected' : item.selected}\" (click)=\"updatePollsQuestions(item)\">\r\n                                    <div *ngIf=\"item.selected\" class=\"check\">\r\n                                        <i class=\"bi bi-check-circle-fill\"></i>\r\n                                    </div>\r\n                                    <p>{{item.text}}</p>\r\n                                </li>\r\n                               \r\n                            </ul>\r\n                        </ng-container>\r\n\r\n                    </ng-container>\r\n\r\n                    <ng-container *ngIf=\"itemType === 'report'\">\r\n                        <div class=\"polls-report\">\r\n                            <p>Cras tempus magna et vehicula pellentesque.</p>\r\n                            <div class=\"row fs-14\">\r\n                                <div class=\"col-sm-6\">Progresso</div>\r\n                                <div class=\"col-sm-6 text-right\">0%</div>\r\n                            </div>\r\n                            <div class=\"progress\" style=\"height: 8px;\">\r\n                                <div class=\"progress-bar bg-primary\" role=\"progressbar\" style=\"width: 25%;\" aria-valuenow=\"25\" aria-valuemin=\"0\" aria-valuemax=\"100\"></div>\r\n                            </div>\r\n                        </div>\r\n                        <div class=\"polls-report\">\r\n                            <p>Quisque nisi risus, iaculis sed eleifend id, vestibulum viverra dolor.</p>\r\n                            <div class=\"row fs-14\">\r\n                                <div class=\"col-sm-6\">Progresso</div>\r\n                                <div class=\"col-sm-6 text-right\">80%</div>\r\n                            </div>\r\n                            <div class=\"progress\" style=\"height: 8px;\">\r\n                                <div class=\"progress-bar bg-primary\" role=\"progressbar\" style=\"width: 80%;\" aria-valuenow=\"25\" aria-valuemin=\"0\" aria-valuemax=\"100\"></div>\r\n                            </div>\r\n                        </div>\r\n                        <div class=\"polls-report\">\r\n                            <p>Nine.</p>\r\n                            <div class=\"row fs-14\">\r\n                                <div class=\"col-sm-6\">Progresso</div>\r\n                                <div class=\"col-sm-6 text-right\">25%</div>\r\n                            </div>\r\n                            <div class=\"progress\" style=\"height: 8px;\">\r\n                                <div class=\"progress-bar bg-primary\" role=\"progressbar\" style=\"width: 25%;\" aria-valuenow=\"25\" aria-valuemin=\"0\" aria-valuemax=\"100\"></div>\r\n                            </div>\r\n                        </div>\r\n                        <div class=\"polls-report\">\r\n                            <p>Cras tempus magna et vehicula pellentesque. Quisque nisi risus, iaculis sed eleifend id, vestibulum viverra dolor. Nullam lacinia turpis risus, a bibendum diam hendrerit nec.</p>\r\n                            <div class=\"row fs-14\">\r\n                                <div class=\"col-sm-6\">Progresso</div>\r\n                                <div class=\"col-sm-6 text-right\">50%</div>\r\n                            </div>\r\n                            <div class=\"progress\" style=\"height: 8px;\">\r\n                                <div class=\"progress-bar bg-primary\" role=\"progressbar\" style=\"width: 50%;\" aria-valuenow=\"25\" aria-valuemin=\"0\" aria-valuemax=\"100\"></div>\r\n                            </div>\r\n                        </div>\r\n                        <div>\r\n                            <small>\r\n                                <i class=\"bi bi-bar-chart\"></i>\r\n                                {{data?.total_votes}}\r\n                            </small>\r\n                        </div>\r\n                    </ng-container>\r\n\r\n                </div>\r\n\r\n\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>",
                    styles: ["ng-deep .swiper-polls .swiper-slide{display:flex;align-items:flex-start;justify-content:space-between;flex-direction:column;height:130px;padding:10px;border-radius:8px;border:1px solid #d4d4d4}ng-deep .swiper-polls .swiper-slide p{font-size:.85em;font-weight:500;overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:3;-webkit-box-orient:vertical}ng-deep .swiper-polls .swiper-slide:hover{border:1px solid #666}ng-deep .swiper-polls .swiper-button-next,ng-deep .swiper-polls .swiper-button-prev{opacity:1;position:absolute;top:50%;width:20px;height:20px;margin-top:calc(0px - (20px/ 2));border-radius:50%;z-index:10;cursor:pointer;display:flex;align-items:center;justify-content:center}ng-deep .swiper-polls .swiper-button-next:after,ng-deep .swiper-polls .swiper-button-prev:after{font-size:12px!important;font-weight:600!important;color:#000}ng-deep .swiper-polls .swiper-button-prev{left:0}ng-deep .swiper-polls .swiper-button-next{right:0}ng-deep .swiper-polls .swiper-button-disabled{opacity:0}.polls-item{display:flex;align-items:flex-start;justify-content:space-between;flex-direction:column;height:130px;padding:10px;border-radius:8px;border:1px solid #d4d4d4}.polls-multichoice{display:flex;margin:20px 0 0}.polls-multichoice li{min-width:30px;height:30px;line-height:30px;padding:0 5px;background-color:#eee;border:1px solid #fff;border-radius:4px;text-align:center;font-size:14px}.polls-multichoice li:hover{background-color:#ddd;cursor:pointer}.polls-multichoice li.selected{background-color:var(--main-color);color:#fff}li{list-style-type:none}.polls-multichoice-vertical{margin-top:30px}.polls-multichoice-vertical li{position:relative;display:flex;align-items:flex-start;justify-content:center;flex-direction:column;width:100%;min-height:50px;margin-bottom:15px;padding:10px;border-radius:8px;border:1px solid #d4d4d4}.polls-multichoice-vertical li:hover{border:1px solid #666;cursor:pointer}.polls-multichoice-vertical li.selected{background-color:var(--main-color);color:#fff}.polls-multichoice-vertical li.selected .check{display:block;position:absolute;top:5px;right:10px}.polls-multichoice-vertical li.selected .check i{font-size:15px}.polls-multichoice-vertical li .check{display:none}.polls-multichoice-vertical li p{width:90%;overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;font-size:14px}.polls-report{min-height:90px;padding:10px;border-radius:8px;border:1px solid #d4d4d4;margin:20px 0}.polls-report p{margin-bottom:10px;font-weight:500;overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}.polls-report .fs-14{font-size:14px}"]
                }] }
    ];
    /** @nocollapse */
    PollQuestionsComponent.ctorParameters = function () { return [
        { type: ActivatedRoute },
        { type: DataService }
    ]; };
    return PollQuestionsComponent;
}());
if (false) {
    /** @type {?} */
    PollQuestionsComponent.prototype.id;
    /** @type {?} */
    PollQuestionsComponent.prototype.data;
    /** @type {?} */
    PollQuestionsComponent.prototype.itemType;
    /** @type {?} */
    PollQuestionsComponent.prototype.route;
    /** @type {?} */
    PollQuestionsComponent.prototype.dataService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var AsapPollModule = /** @class */ (function () {
    function AsapPollModule() {
    }
    AsapPollModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        RouterModule,
                        FormsModule,
                        ReactiveFormsModule,
                    ],
                    declarations: [
                        AsapPollComponent,
                        PollQuestionsComponent
                    ],
                    exports: [
                        AsapPollComponent,
                        PollQuestionsComponent
                    ]
                },] }
    ];
    return AsapPollModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.routing.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var PollRoutes = [
    {
        path: 'item/:id',
        component: PollQuestionsComponent,
    }
];

/**
 * @fileoverview added by tsickle
 * Generated from: projects.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: asap-poll.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { AsapPollComponent, AsapPollModule, AsapPollService, PollRoutes, PollQuestionsComponent as ɵa, DataService as ɵb };
//# sourceMappingURL=asap-poll.js.map
